hpp-core: hpp::core::pathOptimization::RSTimeParameterization Class Reference

hpp-core 9.0.2 Implement basic classes for canonical path planning for kinematic chains.

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
hpp::core::pathOptimization::RSTimeParameterization Class Reference

`#include <hpp/core/path-optimization/rs-time-parameterization.hh>`

Inheritance diagram for hpp::core::pathOptimization::RSTimeParameterization:
[legend]
Collaboration diagram for hpp::core::pathOptimization::RSTimeParameterization:
[legend]

## Public Member Functions
virtual PathVectorPtr_t | optimize (const PathVectorPtr_t &path)
Public Member Functions inherited from hpp::core::PathOptimizer
virtual | ~PathOptimizer ()
ProblemConstPtr_t | problem () const
| Get problem.
void | interrupt ()
| Interrupt path optimization.
void | maxIterations (const unsigned long int &n)
| Set maximal number of iterations.
void | timeOut (const double &timeOut)
| set time out (in seconds)

## Static Public Member Functions
static RSTimeParameterizationPtr_t | create (const ProblemConstPtr_t &problem)
| Create instance and return shared pointer.

## Protected Member Functions
| RSTimeParameterization (const ProblemConstPtr_t &problem)
Protected Member Functions inherited from hpp::core::PathOptimizer
| PathOptimizer (const ProblemConstPtr_t &problem)
PathPtr_t | steer (ConfigurationIn_t q1, ConfigurationIn_t q2) const
void | monitorExecution ()
void | endIteration ()
bool | shouldStop () const
void | initFromParameters ()

## Additional Inherited Members
Protected Attributes inherited from hpp::core::PathOptimizer
bool | interrupt_

## Detailed Description

Time parameterization of Reeds and Shepp paths

This class computes a time parameterization for a concatentation of Reeds and Shepp paths (in fact of constant curvature paths)

## Constructor & Destructor Documentation

## ◆ RSTimeParameterization()

hpp::core::pathOptimization::RSTimeParameterization::RSTimeParameterization | ( | const ProblemConstPtr_t & | problem | ) |
| inlineprotected

Constructor

Parameters

  minLinVel,maxLinVel | minimal and maximal velocity. Minimal velocity is the linear velocity allowed when switching discontinuously the radius of curvature,
  maxAngVel | maximal angular velocity,
  linearAcceletion | linearDeceleration linear acceleration and deceleration that can be different.

## Member Function Documentation

## ◆ create()

static RSTimeParameterizationPtr_t hpp::core::pathOptimization::RSTimeParameterization::create | ( | const ProblemConstPtr_t & | problem | ) |
| static

Create instance and return shared pointer.

## ◆ optimize()

virtual PathVectorPtr_t hpp::core::pathOptimization::RSTimeParameterization::optimize | ( | const PathVectorPtr_t & | path | ) |
| virtual

Compute the time parameterization of a path

Parameters

  path | input path, \precond path should be a concatenation of hpp::core::ConstantCurvature instances

The parameterized path starts and ends with velocity equal to 0. On each segment, it accelerates, moves at maximal speed and decelerates to the minimal velocity to pass curvature discontinuity.

Implements hpp::core::PathOptimizer.

The documentation for this class was generated from the following file:

- include/hpp/core/path-optimization/rs-time-parameterization.hh